Name: hydrogen
Version: 0.9.3
Release: alt1

Summary: Hydrogen Drum Machine
License: GPL
Group: Sound

URL: http://www.hydrogen-music.org
Source0: %name-%version.tar.bz2

Source1: %name-32x32.xpm
Source2: %name-16x16.xpm
Source3: %name-48x48.xpm

Patch0: hydrogen-0.9.3-alt-gcc41.patch
Patch1: hydrogen-0.9.3-alt-wasp.patch

# Added by buildreq2 on Mon Jun 26 2006
BuildRequires: gcc-c++ jackit-devel libalsa-devel libflac++-devel libflac-devel liblrdf-devel libqt3-devel libsndfile-devel libxml2-devel

%description
Hydrogen is a sample based drum machine with:
 Graphical user interface based on QT 3
 Sample based real-time audio engine
 Oss Audio driver
 Jack Audio driver
 Export to disk audio driver
 Alsa Midi input
 Ability to import/export xml-based song file
 64 ticks per pattern
 16 voices with volume, mute, solo, pan capabilities
 Import of samples in wav, au, aiff format

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
%make_build

%install
%makeinstall

mkdir -p %buildroot%_man1dir/ru
mv %buildroot%_datadir/%name/data/doc/man/C/*.1* %buildroot%_man1dir/
mv %buildroot%_datadir/%name/data/doc/man/ru/*.1* %buildroot%_man1dir/ru/
rmdir %buildroot%_datadir/%name/data/doc/man/{C,ru,}

cat >%name.menu <<EOF
?package(%name): needs="x11" section="Multimedia/Sound" title="Hydrogen" \
longtitle="Hydrogen Drum Machine" command="%_bindir/%name" icon="%name.xpm"
EOF
install -pD -m644 %name.menu %buildroot%_menudir/%name

install -pD -m644 %SOURCE1 %buildroot%_iconsdir/%name.xpm
install -pD -m644 %SOURCE2 %buildroot%_miconsdir/%name.xpm
install -pD -m644 %SOURCE3 %buildroot%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_datadir/%name/
%_libdir/%name/
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm
%_menudir/%name
%_man1dir/*.1*
#_man1dir/ru/*.1*
%doc AUTHORS ChangeLog README

%changelog
* Mon Jun 26 2006 Alexey Tourbin <at@altlinux.ru> 0.9.3-alt1
- 0.9.0 -> 0.9.3
- fixed gcc-4.1 issues
- fixed wasp plugin linkage

* Tue Feb 22 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.0-alt0.7.1.1
- Rebuilt with libflac-1.1.2-alt1

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.0-alt0.7.1
- Rebuilt with libstdc++.so.6.

* Thu Sep 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt0.7
- new version.
- manpages by avp@.

* Wed Dec 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt0.7
- 0.8.1 release.

* Thu Nov 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt0.6beta4
- 0.8.1beta4.

* Sun May 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1
- 0.8.0

* Tue Mar 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.6-alt1
- 0.7.6

* Mon Feb 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.5-alt1
- First build for Sisyphus.
